<?php
$ambl_plugin_dir = plugin_dir_path(__FILE__);
$ambl_plugin_url = WP_CONTENT_URL . '/plugins/' . plugin_basename(dirname(__FILE__)) . '/';

class amazonAmazociate {

    public $plugin_name;
    private static $setting_key = "__amazonblurb_setting";
    public $general_setting;

    public function __construct() {
        global $pluginname;
        $this->plugin_name = $pluginname;
        $this->general_setting = get_option(self::$setting_key);
        add_action('admin_menu', array($this, 'admin_menu'));
        add_action('widgets_init', array(&$this, 'widgets_init'));
        add_shortcode("WP-Amazociate", array(&$this, 'shortcode'));
        if (isset($this->general_setting->wpfooter))
            add_action('wp_footer', array(&$this, 'footer_text'));
    }

    public function shortcode() {
        $content = "<div class='wp-amazociate'>";
        $content.="<p>";
        if ($this->general_setting->amazonsite == "uk")
            $content.="The owner of this website, " . $this->general_setting->domainname . ", is a participant in the Amazon EU Associates Programme, an affiliate advertising programme designed to provide a means for sites to earn advertising fees by advertising and linking " . $this->general_setting->websitename . " to Amazon properties including, but not limited to, Amazon.co.uk, Javari.co.uk, Amazon.de, Javari.de, Amazon.fr, Javari.fr, Amazon.it and/or Amazon.es. Certain content that appears on this site comes from Amazon Services LLC. This content is provided 'as is' and is subject to change or removal at any time.";
        else
            $content.="The owner of this website, " . $this->general_setting->domainname . ", is a participant in the Amazon Services LLC Associates Program, an affiliate advertising program designed to provide a means for sites to earn advertising fees by advertising and linking " . $this->general_setting->websitename . " to Amazon properties including, but not limited to, amazon.com, endless.com, myhabit.com, smallparts.com, or amazonwireless.com. Certain content that appears on this site comes from Amazon Services LLC. This content is provided 'as is' and is subject to change or removal at any time.";
        $content.="<p>";
        $content.="</p>";
        $content.="</div>";
        return $content;
    }

    public function footer_text() {
        $content = "<div class='wp-amazociate'>";
        $content.="<p>";
        if ($this->general_setting->amazonsite == "uk")
            $content.="The owner of this website, " . $this->general_setting->domainname . ", is a participant in the Amazon EU Associates Programme, an affiliate advertising programme designed to provide a means for sites to earn advertising fees by advertising and linking " . $this->general_setting->websitename . " to Amazon properties including, but not limited to, Amazon.co.uk, Javari.co.uk, Amazon.de, Javari.de, Amazon.fr, Javari.fr, Amazon.it and/or Amazon.es. Certain content that appears on this site comes from Amazon Services LLC. This content is provided 'as is' and is subject to change or removal at any time.";
        else
            $content.="The owner of this website, " . $this->general_setting->domainname . ", is a participant in the Amazon Services LLC Associates Program, an affiliate advertising program designed to provide a means for sites to earn advertising fees by advertising and linking " . $this->general_setting->websitename . " to Amazon properties including, but not limited to, amazon.com, endless.com, myhabit.com, smallparts.com, or amazonwireless.com. Certain content that appears on this site comes from Amazon Services LLC. This content is provided 'as is' and is subject to change or removal at any time.";
        $content.="<p>";
        $content.="</p>";
        $content.="</div>";
        echo $content;
    }

    public function admin_menu() {
        add_options_page($this->plugin_name, $this->plugin_name, 8, 'ambl-setting', array($this, 'generalSetting'));
    }

    public function generalSetting() {
        if (isset($_POST['amblsubmit'])) {
            unset($_POST['amblsubmit']);
            $this->general_setting = (object) $_POST;
            update_option(self::$setting_key, $this->general_setting);
        }
        include_once $ambl_plugin_dir . 'template/setting.php';
    }

    public function widgets_init() {
        register_widget('amblWidget');
    }

}

$objAmbl = new amazonAmazociate();

class amblWidget extends WP_Widget {

    public $error = "";

    public function __construct() {
        global $objAmbl;

        $widget_ops = array('classname' => 'ambl-widget', 'description' => __('WP Amazociate', 'ambl-plugin'));

        $control_ops = array('width' => 250, 'height' => 350, 'id_base' => 'ambl-widget');

        parent::__construct("ambl-widget", __($objAmbl->plugin_name, 'ambl-plugin'), $widget_ops, $control_ops);
    }

    public function widget($args, $instance) {
        global $objAmbl;
        extract($args);
        echo $before_widget;
        if ($instance['title'])
            echo $before_title . $instance['title'] . $after_title;
        echo "<div class='wp-amazociate'>";
        echo "<p>";
        if ($objAmbl->general_setting->amazonsite == "uk")
            echo "The owner of this website, " . $objAmbl->general_setting->domainname . ", is a participant in the Amazon EU Associates Programme, an affiliate advertising programme designed to provide a means for sites to earn advertising fees by advertising and linking " . $objAmbl->general_setting->websitename . " to Amazon properties including, but not limited to, Amazon.co.uk, Javari.co.uk, Amazon.de, Javari.de, Amazon.fr, Javari.fr, Amazon.it and/or Amazon.es. Certain content that appears on this site comes from Amazon Services LLC. This content is provided 'as is' and is subject to change or removal at any time.";
        else
            echo "The owner of this website, " . $objAmbl->general_setting->domainname . ", is a participant in the Amazon Services LLC Associates Program, an affiliate advertising program designed to provide a means for sites to earn advertising fees by advertising and linking " . $objAmbl->general_setting->websitename . " to Amazon properties including, but not limited to, amazon.com, endless.com, myhabit.com, smallparts.com, or amazonwireless.com. Certain content that appears on this site comes from Amazon Services LLC. This content is provided 'as is' and is subject to change or removal at any time.";
        echo "</p>";
        echo "</div>";
        echo $after_widget;
    }

    public function update($new_instance, $old_instance) {
        global $objAmpt;
        $instance['title'] = strip_tags($new_instance['title']);
        return $instance;
    }

    public function form($instance) {
        global $ambl_plugin_dir, $objAmpt;
        $defaults = array(
            'title' => __('WP Amazociate', 'ampt-pro'),
        );
        $instance = wp_parse_args((array) $instance, $defaults);
        ?>
        <p>
            <label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title:', 'hybrid'); ?></label><br/>
            <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" value="<?php echo $instance['title']; ?>"  />
        </p>
        <?php
    }

}
?>